Bug 203544 - HP-LaserJet_4000-pxlmono.ppd: Media Source unknown value: Middle
HP-LaserJet_4000-pxlmono.ppd: Media Source unknown value: Middle
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-22 09:07 EDT by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-23 12:09:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-08-22 09:07:39 EDT
This most likely is the wrong component for this, but I'm sure you know the
right  one :)

I've been setting up a hP laserjet 4000 printer (over smb) today and that
defaults to sending postscript directly to the printer. However the printer
stopped printing the first page with a picture of the first pdf I printed,
so I decided to change the driver to FOOMAGIC - plxmono. This is not the
real bug, just background info, this problem could be very likely outside of
Fedora's control (we use page accounting on the printserver, maybe that
choked on the picture, or may the PS interpreter in the printer itself or
.....). Although I'm concidering filing a bug that all postscript capable
printers or atleast HP postscript printers should default to the best native
(PCL in case of HP) driver instead of to default. Sofar I've never had any
luck with HP postscript printers and I've always changed to a PCL driver
with much better results. Let me know if you want this as a bug.

Ok after this long intro now the real bug then. As said I changed the driver
for this printer (HP lj 4000) from the default PS to Foomatic - plxmono,
after this system-config-printer printed the following to the terminal it
was started from:
foomatic:HP-LaserJet_4000-pxlmono.ppd foomatic:HP-LaserJet_4000-pxlmono.ppd
PPD name: foomatic:HP-LaserJet_4000-pxlmono.ppd
Cups PPD
Media Source unknown value: Middle

And after applying the changes it turned out that the Media Source was set
to Manual Feeder, which wasn't what I wanted :)

I'm thinking that maybe the component shouldn't be changed after all, but
instead this bug should be filed twice:
1) If the Media Source is unknown, it should default to Printer Default, not
   to Manual Feeder (that would be this bug then)
2) The mentioned PPD needs fixing, this is for another component I assume
   (that would be a new bug needing filing then).

Let me know if you agree with splitting this bug and which component is
correct for the PPD issue and I'll file a new bug for the PPD issue.
Comment 1 Tim Waugh 2006-08-23 12:09:05 EDT
This all comes down to a CUPS bug, which I've now reported upstream:

  http://cups.org/str.php?L1929

Note You need to log in before you can comment on or make changes to this bug.